net.i2p.sam

## Class SAMv3Handler.DatagramServer.Listener

- java.lang.Object
- - net.i2p.sam.SAMv3Handler.DatagramServer.Listener

All Implemented Interfaces:
  Runnable

Enclosing class:
  SAMv3Handler.DatagramServer

     class SAMv3Handler.DatagramServer.Listener
    extends Object
    implements Runnable

### Field Summary

Fields
`(package private) DatagramChannel` `server`

### Constructor Summary

Constructors
Constructor and Description
`SAMv3Handler.DatagramServer.Listener(DatagramChannel server)`

### Method Summary

Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### server

    DatagramChannel server

### Constructor Detail

#### SAMv3Handler.DatagramServer.Listener

    public SAMv3Handler.DatagramServer.Listener(DatagramChannel server)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`